Bug 1731157 - api permissions to create a picture not granted unless all permissions granted
Summary: api permissions to create a picture not granted unless all permissions granted
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.10.5
Hardware: All
OS: All
medium
high
Target Milestone: GA
: 5.10.8
Assignee: Joe Vlcek
QA Contact: Parthvi Vala
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1727948
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-18 13:17 UTC by Satoe Imaishi
Modified: 2019-11-28 18:53 UTC (History)
6 users (show)

Fixed In Version: 5.10.8.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1727948
Environment:
Last Closed: 2019-08-13 08:35:41 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2466 None None None 2019-08-13 08:35:48 UTC

Comment 2 CFME Bot 2019-07-22 21:16:10 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/dad22d8d50491dff12740ee26ea6b79402fc5842
commit dad22d8d50491dff12740ee26ea6b79402fc5842
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Tue Jul 16 09:35:50 2019 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Tue Jul 16 09:35:50 2019 -0400

    Merge pull request #18982 from jvlcek/bz_1727948_picture_product_feature

    Allow modification of "Create new Picture" product feature on a role.

    (cherry picked from commit 781bb9e911695c32e2138d910509cfe1c58e71fc)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1731157

 db/fixtures/miq_product_features.yml | 21 +-
 1 file changed, 10 insertions(+), 11 deletions(-)

Comment 3 Parthvi Vala 2019-07-30 14:30:59 UTC
FIXED. Verified on 5.10.8.0.20190729222758_e725e22.

Comment 5 errata-xmlrpc 2019-08-13 08:35:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2466


Note You need to log in before you can comment on or make changes to this bug.